---
title: RTCPeerConnection.iceConnectionState
slug: Web/API/RTCPeerConnection/iceConnectionState
tags:
  - API
  - Audio
  - Connection
  - ICE
  - Media
  - Property
  - RTCPeerConnection
  - Read-only
  - Reference
  - Video
  - WebRTC
  - WebRTC API
  - iceConnectionState
  - state
---
<p>{{APIRef("WebRTC")}}</p>

<p>The read-only property <code><strong>RTCPeerConnection.iceConnectionState</strong></code> returns an enum of type <code>RTCIceConnectionState</code> which state of the ICE agent associated with the {{domxref("RTCPeerConnection")}}.</p>

<p>You can detect when this value has changed by watching for the {{event("iceconnectionstatechange")}} event.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"> var <em>state</em> = <em>RTCPeerConnection</em>.iceConnectionState;</pre>

<h3 id="Value">Value</h3>

<p>The current state of the ICE agent and its connection. The value is one of the strings in the <a href="#RTCIceConnectionState_enum"><code>RTCIceConnectionState</code> enum</a>.</p>

<p>{{page("/en-US/docs/Web/API/RTCPeerConnection", "RTCIceConnectionState enum", 0, 1)}}</p>

<h2 id="Example">Example</h2>

<pre>var pc = new RTCPeerConnection();
var state = pc.iceConnectionState;</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table" style="height: 49px; width: 1000px;">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{ SpecName('WebRTC 1.0', '#dom-peerconnection-ice-connection-state', 'RTCPeerConnection.iceConnectionState') }}</td>
   <td>{{ Spec2('WebRTC 1.0') }}</td>
   <td>Initial specification.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.RTCPeerConnection.iceConnectionState")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/Guide/API/WebRTC">WebRTC API</a></li>
 <li>{{event("iceconnectionstatechange")}}</li>
 <li>{{domxref("RTCPeerConnection")}}</li>
</ul>
